@echo off

rem ****************************************
rem Installation Folder
rem ****************************************

rem Do Firmware files & matching PDF
copy "..\..\USBDM\USBDM_JM60\bin\*.s19"          "1. Installation\USBDM_Flash_Images"
copy "..\..\PCB\BDM\USBDM_JMxxCLD\*.pdf"         "1. Installation\USBDM_Flash_Images"

rem Do Drivers & Utlity files
copy "..\..\Eclipse Workspace\OSBDM_DLL\OSBDM DLL Release\*.dll" "1. Installation"
copy "..\..\Eclipse Workspace\OSBDM_DLL\TBDML DLL Release\*.dll" "1. Installation"
copy "..\..\Eclipse Workspace\OSBDM_DLL\CommandLine\*.exe"       "1. Installation"
copy "..\..\Eclipse Workspace\OSBDM_DLL\OSBDM DLL Debug\*.dll"   "1. Installation\Debug DLLs"
copy "..\..\Eclipse Workspace\OSBDM_DLL\TBDML DLL Debug\*.dll"   "1. Installation\Debug DLLs"
copy "..\..\Eclipse Workspace\SetBoot\Release\*.exe"             "1. Installation"

rem Do documentation Files
copy "..\..\USBDM\Documentation\Generated\JM60\html\*.chm"       "1. Installation"

rem ****************************************
rem PCB Folder
rem ****************************************

del /Q "3. PCB\*.*"
rem Do PDF assembly instructions
copy "..\..\PCB\BDM\USBDM_JMxxCLD\*.pdf"         "3. PCB"
rem Do PCB Source files
copy "..\..\PCB\BDM\USBDM_JMxxCLD\*.zip"         "3. PCB"
rem Do Gerber files
zip -j -r "3. PCB\Gerbers.zip" "..\..\PCB\BDM\USBDM_JMxxCLD\Project Outputs for USBDM_JMxxCLD"

pause